$('#import').on('click', function (e) {
	e.preventDefault();


    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, gotFS, fail);


    function gotFS(fileSystem) {
        fileSystem.root.getFile("IBS-Backup.txt", null, gotFileEntry, fail);
    }

    function gotFileEntry(fileEntry) {
        fileEntry.file(gotFile, fail);
    }

    function gotFile(file){
        readAsText(file);
    }

    function readAsText(file) {

        navigator.notification.confirm("Are you sure?", function(btn)
		{
			if(btn == 1)
			{
				database.nukeData(function(){});
				 var reader = new FileReader();
			        reader.onloadend = function(evt) {
			            database.loadBackup(evt.target.result);
			        };
			        reader.readAsText(file);
				
			}
		}, "Existing records will be deleted", "Yes, No")
    }

    function fail(evt) {
        console.log(evt.target.error.code);
    }
	
});