$('#export').on("click", function (e) {
	e.preventDefault();
	
	// Wait for Cordova to load
    //
    document.addEventListener("deviceready", onDeviceReady, false);

    // Cordova is ready
    //
    function onDeviceReady() {
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, gotFS, fail);
    }

    function gotFS(fileSystem) {
        fileSystem.root.getFile("IBS-Backup.txt", {create: true, exclusive: false}, gotFileEntry, fail);
    }

    function gotFileEntry(fileEntry) {
        fileEntry.createWriter(exportBMs, fail);
    }

    function gotFileWriter(writer) {
    	writer.write(backup);

    }
    
    function exportBMs(writer) {
    	database.getAllEntries( function (all) {
    		writer.write(JSON.stringify(all));
    	});
    	alert('IBS-Backup created at /sdcard');
    } 

    function fail(error) {
        alert(error.code);
    }
    
});